Common fields used in API parameters and response bodies
Access Token Fields
| Name | Type | Description |
|---|---|---|
access_token | string | Reference |
client_id | string | Reference |
client_secret | string | Reference |
code | string | Reference |
code_verifier | string | Reference |
expires_in | integer | Unless otherwise specified the value is 3600 (one hour) |
firstName | string | First name of person that authorized access |
grant_type | string | Reference |
lastName | string | Last name of person that authorized access |
legalName | string | Legal name of the organization |
orgDetails | object | Element describing the organization whose data you are authorized to access |
redirect_uri | string | Reference |
refresh_token | string | Reference |
token_type | string | Reference. Unless otherwise specified the value is Bearer |
user | object | Contact person details |
API Parameters
| Name | Description |
|---|---|
assetId | Apple-generated asset resource ID |
brandId | Apple-generated brand resource ID |
callerId | Apple-generated callerId resource ID |
creativeId | Apple-generated creative resource ID |
delegatedPartnerOrgId | Delegated partner's Apple-generated orgId |
documentType | images or documents |
emailId | Apple-generated email resource ID |
id | Apple-generated resource ID |
imageId | Apple-generated image resource ID |
locationId | Apple-generated location resource ID |
orgId | Apple-generated organization ID |
overrideId | Apple-generated override resource ID. May be used by an authorized partner to contest MAPS_DISPLAY feedback |
partnersLocationId | Partner-generated location resource ID |
resourceId | Apple-generated resource ID /{locationId}/ for example |
resourceTypes | Apple resource type. /locations/ for example |
reviewId | Apple-generated review resource ID |
showcaseId | Apple-generated showcase resource ID |
Common Query Parameters
| Name | Description |
|---|---|
categories | Apple category |
code | Validation code |
countryCodes | Partner provided country association(s) |
createdDate | Apple-generated timestamp in dateTime format |
delegatedBrandId | Apple-generated ID of brand resource that's delegated to a partner by a location owner |
displayNames | Partner provided display name(s) |
id | Unique Apple-generated resource ID |
imageId | Apple-generated UUID version 4 label provided by the media API |
intent | Partner provided brand or location asset intent |
limit | Minimum 1, default 100, maximum 100 |
name | Partner provided name |
partnersAssetId | Partner provided brand or location asset ID |
partnerLocationIds | List of partner provided location IDs |
state | Apple-generated resource state description |
updatedDate | Apple-generated timestamp in dateTime format |
validationCode | Apple-generated code returned in a validation report |
Common Response Fields
| Name | Type | Description |
|---|---|---|
appleOverrideId | string | When present, may be used by an authorized partner to contest MAPS_DISPLAY feedback |
brandId | string | Apple-generated brand resource ID |
cdnTemplateUrl | string | CDN Template URL. See Get Metadata API |
cdnUrl | uri | Apple-generated URL for media retrieval. See Get Metadata API |
clientId | string | Reference |
code | string | Apple-generated report name. Used in metadata, processing, validations, and so on |
contentType | string | Content's MIME type |
contestDetails | object | Element containing Apple Override contest information. Provided by an authorized partner to contest MAPS_DISPLAY feedback |
createdDate | dateTime | Apple-generated timestamp in dateTime format |
data[] | array | Collection of zero or more resources |
delegatedOrgId | string | Apple-generated organization ID assigned to the organization that's delegated by a location owner |
delegationDetails | object | Element containing delegation information |
etag | string | Apple-generated UUID version 1 etag label |
expires_in | integer | Indicates the lifetime of the issued access token. Should be 3600 (one hour) |
expiryDate | dateTime | Apple-generated timestamp |
feedbackUrl | uri | Apple-generated feedback resource location identifier |
filename | string | Partner provided identifier |
fileSize | integer | Calculated size (megabytes) |
grantDetails | object | Element containing OAuth grant information |
height | integer | Pixel height |
id | string | Apple-generated resource ID |
legalName | string | Legal name of the company that delegated you |
locationId | string | Apple-generated location resource ID |
message | string | Apple-generated message. Used in metadata, processing, validations, and so on |
name | string | Label. Apple or user generated |
oauthAppDetails | object | Element containing OAuth app information |
orgDetails | object | Element containing information about the company using an OAuth app |
orgId | string | Apple-generated organization ID |
orgLegalName | string | Legal name of the company that delegated you |
overrideId | string | Apple-generated override ID. Provided to a partner that is authorized to contest MAPS_DISPLAY feedback |
partnerLocationId | string | Partner provided location ID |
placeCardUrl | uri | Apple-generated link which invokes the display of a mapped location along with its respective place card. Output only |
resourceDetails | object | Element containing resource information |
resourceId | string | Apple-generated resource ID |
state | string | Apple-generated resource state |
timezone | string | |
token_type | string | Type of access token issued. Should be Bearer |
total | integer | Total count of resources matching query parameters |
updatedDate | dateTime | Apple-generated timestamp in dateTime format |
width | integer | Pixel width |
Common Request Fields
| Name | Type | Description |
|---|---|---|
altText | string | Alt Text is a brief text description of an image |
etag | string | Apple-generated UUID version 1 etag label |
data[] | array | Collection of zero or more resources |
id | string | Apple-generated resource ID |
locale | string | Language of the written content |
pixelWidth | integer | Image width in pixels |
pixelHeight | integer | Image height in pixels |
text | string | Written content. Length limitations |
url | uri | Resource location identifier |
Pagination
| Name | Type | Description |
|---|---|---|
cursors | object | Element containing after. Reference |
after | string | Cursor pointing to end of current page of data. If not present, current page is the last page. after value is typically the ID of the last object when object IDs are increasing over time |
next | string | URL to retrieve the next page of data. If not present, the current page is the last page of data |
Request Headers
| Name | Description |
|---|---|
Accept | Specifies the content type that is valid in the response. If present, must be application/json |
Authorization | Bearer token used to authenticate the request |
Business-Signature | HMAC SHA512 hash of payload information and Business-Timestamp header value using a shared client secret |
Business-Timestamp | Timestamp in milliseconds since UNIX Epoch |
Business-Webhook-Environment | Possible values: "API Integration", "Data Qualification" or "Production" |
Content-Type | MIME type of the content: application/json |
If-Match | RFC 7232-compliant etag value |
Response Headers
| Name | Description |
|---|---|
apple-request-id | Unique ID |
content-type | Content's MIME type : application/json |
etag | Apple-generated UUID version 1 etag label |
location | Resource location identifier |